Subject: bug#29423: 27.0.50; ls-lisp does not handle -F switch properly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Nov 2017 21:52:45 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked]
> Date: Fri, 24 Nov 2017 19:49:56 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Is that / part of the (directory as) file name?
> >
> > No, it isn't.  It's what -F append to the file name to indicate that
> > it's a directory.
> >
> > So if that's the problem, the patch is not TRT, IMO.
> 
> I'll check.

The more I think about this the less I understand how your patch is
going to work.  How can ls-lisp-format know what was appended to a
file name by ls-lisp-classify-file?